## libxml2 2.9.14+dfsg

=== debian/changelog ===
libxml2 (2.9.14+dfsg-0+0~20220524.12+debian9~1.gbpc5dc45) unstable; urgency=medium

  ** SNAPSHOT build @c5dc459cca2b5e167c372b155917f40e0d30eaa2 **

  * UNRELEASED

 -- Ondřej Surý <ondrej@sury.org>  Tue, 24 May 2022 21:25:54 +0200

libxml2 (2.9.14+dfsg-0) unstable; urgency=medium

  * New upstream version 2.9.14+dfsg

 -- Ondřej Surý <ondrej@debian.org>  Tue, 24 May 2022 21:08:31 +0200

libxml2 (2.9.13+dfsg-0) unstable; urgency=medium

  * New upstream version 2.9.13+dfsg
  * Update d/gbp.conf
  * Sync docs with master branch

 -- Ondřej Surý <ondrej@debian.org>  Mon, 14 Mar 2022 17:39:47 +0100

libxml2 (2.9.12+dfsg-0) unstable; urgency=medium

  * New upstream version 2.9.12+dfsg
  * DEB.SURY.ORG upload
  * Remove patches merged upstream
  * Update the debian/libxml2.symbols for 2.9.11+

 -- Ondřej Surý <ondrej@debian.org>  Mon, 21 Jun 2021 07:03:09 +0200

libxml2 (2.9.10+dfsg-6) UNRELEASED; urgency=medium

  * Use correct machine-readable copyright file URI.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.
  * Rely on pre-initialized dpkg-architecture variables.

 -- Debian Janitor <janitor@jelmer.uk>  Tue, 28 Apr 2020 07:25:00 +0000
