## libxml2 2.12.7%2Bdfsg

=== debian/changelog ===
libxml2 (2.12.7+dfsg-2) unstable; urgency=medium

  * d/control: Depends on liblzma-dev and zlib1g-dev explicitly
    (Closes: #1071834)

 -- Aron Xu <aron@debian.org>  Sat, 25 May 2024 22:51:40 +0800

libxml2 (2.12.7+dfsg-1) unstable; urgency=medium

  * New upstream version 2.12.7+dfsg
  * CVE-2024-34459: buffer over-read in xmlHTMLPrintFileContext
    (Closes: 1071162).

 -- Aron Xu <aron@debian.org>  Sat, 25 May 2024 11:38:42 +0800

libxml2 (2.12.6+dfsg-0exp2) experimental; urgency=medium

  * Really fix libxml2mod import problem

 -- Aron Xu <aron@debian.org>  Tue, 19 Mar 2024 01:26:06 +0800

libxml2 (2.12.6+dfsg-0exp1) experimental; urgency=medium

  * New upstream version 2.12.6+dfsg
  * d/patches: add python-libadd-fix.patch (Closes: #1059094)
  * d/control: add python3-setuptools to B-D
  * d/rules: disable config.cache caching to make it happy to switch among Python versions
  * d/rules: build extensions for all supported Python3 versions

 -- Aron Xu <aron@debian.org>  Tue, 19 Mar 2024 01:09:12 +0800

libxml2 (2.12.5+dfsg-0exp1) experimental; urgency=medium

  * New upstream version 2.12.5+dfsg
  * d/rules: configure with --with-legacy --with-ftp --with-xptr-locs
    (Closes: #1059040)
  * d/libxml2.symbols: update
  * d/libxml2-doc.doc-base: update html path
  * d/control: remove M-A: same from python3-libxml2

 -- Aron Xu <aron@debian.org>  Thu, 15 Feb 2024 17:44:46 +0800

libxml2 (2.12.3+dfsg-0exp1) experimental; urgency=medium

  [ Mattia Rizzolo ]
  * simplify list of html to install

  [ Bastian Germann ]
  * No icu dependency with noi18n build profile (Closes: #962464)

  [ Aron Xu ]
  * New upstream version 2.12.3+dfsg
  * Remove not needed patches
  * Refresh xml2-config-fix.patch
  * Update d/libxml2-dev.{install,manpages}
  * d/rules: update * remove __pycache__ directory from d/tmp *
    no need to remove files from dh_auto_install-indep
  * d/libxml2.symbols: update symbols
  * Update std-ver to 3.6.2, no change required
  * add source lintian override for documentation HTMLs
  * Update doc-base file to current location
  * Remove links that are not needed anymore
  * Remove lintian overrides that are not needed
  * d/rules: add a dfsg-source-tree target to clean up upstream tree

 -- Aron Xu <aron@debian.org>  Thu, 14 Dec 2023 11:55:58 +0800

libxml2 (2.9.14+dfsg-1) unstable; urgency=high

  * Team upload.
  * New upstream version 2.9.14+dfsg.
    + Integer overflows in xmlBuf/xmlBuffer.  CVE-2022-29824 Closes: #1010526

 -- Mattia Rizzolo <mattia@debian.org>  Thu, 05 May 2022 14:43:51 +0200
