## libxml2 2.12.7%2Bdfsg%2Breally2.9.14

=== debian/changelog ===
libxml2 (2.12.7+dfsg+really2.9.14-0.4ubuntu0.3) plucky-security; urgency=medium

  * SECURITY UPDATE: Stack overflow
    - debian/patches/CVE-2025-9714.patch: Make XPath depth check work with
      recursive invocations.
    - CVE-2025-9714

 -- Octavio Galland <octavio.galland@canonical.com>  Mon, 01 Sep 2025 12:07:38 -0300

libxml2 (2.12.7+dfsg+really2.9.14-0.4ubuntu0.2) plucky-security; urgency=medium

  * SECURITY UPDATE: stack-based buffer overflow
    - debian/patches/CVE-2025-6021.patch: fix integer overflow by adding
      bound checks in xmlBuildQName in tree.c
      prevent integer overflow
    - debian/patches/CVE-2025-6170.patch: fix buffer overflow by adding
      bound checks in xmlShell in debugXML.c
    - CVE-2025-6021
    - CVE-2025-6170
  * SECURITY UPDATE: UAF and type confusion
    - debian/patches/CVE-2025-49794_49796.patch: fix UAF by returning node
      and freeing it after use; fix type confusion by adding type check in
      xmlSchematronFormatReport in schematron.c
    - CVE-2025-49794
    - CVE-2025-49796

 -- Shishir Subedi <shishir.subedi@canonical.com>  Fri, 08 Aug 2025 14:41:54 +0545

libxml2 (2.12.7+dfsg+really2.9.14-0.4ubuntu0.1) plucky-security; urgency=medium

  * SECURITY UPDATE: OOB access in python API
    - debian/patches/CVE-2025-32414-pre1.patch: fix SAX driver with
      character streams in python/drv_libxml2.py.
    - debian/patches/CVE-2025-32414-1.patch: read at most len/4 characters
      in python/libxml.c.
    - debian/patches/CVE-2025-32414-2.patch: add a test in
      python/tests/Makefile.am, python/tests/unicode.py.
    - CVE-2025-32414
  * SECURITY UPDATE: heap under-read in xmlSchemaIDCFillNodeTables
    - debian/patches/CVE-2025-32415.patch: fix heap buffer overflow in
      xmlSchemaIDCFillNodeTables in xmlschemas.c.
    - CVE-2025-32415

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Thu, 24 Apr 2025 14:42:32 -0400

libxml2 (2.12.7+dfsg+really2.9.14-0.4) unstable; urgency=medium

  * Non-maintainer upload.

  * Don't build with ICU. Closes: #1092484.

    libxml's README.md states:

    [ICU](https://icu.unicode.org/), a Unicode library. Mainly
    useful as an alternative to iconv on Windows. Unnecessary
    on most other systems.

    ICU 76.1 requires to be built with -std=c++17 or -std=gnu++17 or
    higher.  However including the ICU headers in the libxml2 headers,
    breaks builds with older C++ standards, most likely leading to
    some unrelated build failures for packages that don't rely on ICU,
    but are using libxml2.

  * Import security updates from Ubuntu:
    - SECURITY UPDATE: use-after-free in xmlXIncludeAddNode
      + debian/patches/CVE-2022-49043.patch: fix UaF in xinclude.c.
      + CVE-2022-49043. Closes: #1094238.
    - SECURITY UPDATE: buffer overread in xmllint
      + debian/patches/CVE-2024-34459.patch: fix buffer issue when using
        htmlout option in xmllint.c.
      + CVE-2024-34459. Closes: #1071162.
    - SECURITY UPDATE: use-after-free
      + debian/patches/CVE-2024-56171.patch: Fix use-after-free after
        xmlSchemaItemListAdd.
      + CVE-2024-56171. Closes: #1098320.
    - SECURITY UPDATE: stack-based buffer overflow
      + debian/patches/CVE-2025-24928-pre1.patch: Check for NULL node->name
        in xmlSnprintfElements.
      + debian/patches/CVE-2025-24928.patch: Fix stack-buffer-overflow in
        xmlSnprintfElements.
      + CVE-2025-24928. Closes: #1098321.
    - SECURITY UPDATE: NULL pointer dereference
      + debian/patches/CVE-2025-27113.patch: Fix compilation of explicit
        child axis.
      + CVE-2025-27113. Closes: #1098322.

 -- Matthias Klose <doko@debian.org>  Thu, 27 Mar 2025 11:54:17 +0100

libxml2 (2.12.7+dfsg+really2.9.14-0.3) unstable; urgency=medium

  * Non-maintainer upload.
  * debian/control: Add python3-setuptools to Build-Depends (Closes: #1099843)

 -- Sebastian Ramacher <sramacher@debian.org>  Thu, 13 Mar 2025 21:31:54 +0100

libxml2 (2.12.7+dfsg+really2.9.14-0.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Patch: Python 3.13 support. (Closes: #1084096)

 -- Stefano Rivera <stefanor@debian.org>  Wed, 06 Nov 2024 17:11:20 -0800

libxml2 (2.12.7+dfsg+really2.9.14-0.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Revert packaging to 2.9.14+dfsg-1.3 currently in testing to revert ABI
    breakage (Closes: #1073508)

 -- Sebastian Ramacher <sramacher@debian.org>  Thu, 26 Sep 2024 17:15:36 +0200

libxml2 (2.9.14+dfsg-1.3) unstable; urgency=medium

  * Non-maintainer upload.
  * Reset nsNr in xmlCtxtReset (CVE-2022-2309) (Closes: #1039991)
  * Also reset nsNr in htmlCtxtReset (CVE-2022-2309) (Closes: #1039991)

 -- Salvatore Bonaccorso <carnil@debian.org>  Sat, 08 Jul 2023 21:18:29 +0200

libxml2 (2.9.14+dfsg-1.2) unstable; urgency=medium

  * Non-maintainer upload.
  * schemas: Fix null-pointer-deref in xmlSchemaCheckCOSSTDerivedOK
  * Fix null deref in xmlSchemaFixupComplexType (CVE-2023-28484)
    (Closes: #1034436)
  * Hashing of empty dict strings isn't deterministic (CVE-2023-29469)
    (Closes: #1034437)

 -- Salvatore Bonaccorso <carnil@debian.org>  Sat, 15 Apr 2023 16:25:06 +0200

libxml2 (2.9.14+dfsg-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix integer overflows with XML_PARSE_HUGE (CVE-2022-40303)
    (Closes: #1022224)
  * Fix dict corruption caused by entity reference cycles (CVE-2022-40304)
    (Closes: #1022225)

 -- Salvatore Bonaccorso <carnil@debian.org>  Sun, 30 Oct 2022 11:18:06 +0100
