## libxml2 2.12.7+dfsg

=== debian/changelog ===
libxml2 (2.12.7+dfsg-3) unstable; urgency=medium

  * d/control: replace pkg-config with pkgconf
  * source: override invalid-profile-name-in-source-relation noi18n
  * d/control: versioned Breaks at libxml-libxml-perl

 -- Aron Xu <aron@debian.org>  Wed, 29 May 2024 21:25:11 +0800
