=== debian/control ===
--- 
+++ 
@@ -8,13 +8,13 @@
 Build-Depends:
  debhelper-compat (= 13),
 Build-Depends-Indep:
- pkg-config,
+ pkgconf,
 Build-Depends-Arch:
  dh-sequence-python3 <!nopython>,
  libicu-dev <!noi18n>,
  liblzma-dev,
  libpython3-all-dev <!nopython>,
- pkg-config,
+ pkgconf,
  python3-all-dev:any (>= 3.5) <!nopython>,
  python3-setuptools,
  rename,
@@ -41,6 +41,8 @@
  ${shlibs:Depends},
 Conflicts:
  w3c-dtd-xhtml,
+Breaks:
+ libxml-libxml-perl (<< 2.0207+dfsg+really+2.0134-3~),
 Multi-Arch: same
 Description: ${source:Synopsis}
  ${source:Extended-Description}
@@ -72,7 +74,7 @@
  zlib1g-dev,
  ${misc:Depends},
 Suggests:
- pkg-config,
+ pkgconf,
 Multi-Arch: same
 Description: ${source:Synopsis} - development files
  ${source:Extended-Description}
