=== debian/control ===
--- 
+++ 
@@ -8,18 +8,17 @@
 Build-Depends:
  debhelper-compat (= 13),
 Build-Depends-Indep:
- pkgconf,
+ pkg-config,
 Build-Depends-Arch:
  dh-sequence-python3 <!nopython>,
- libicu-dev <!noi18n>,
  liblzma-dev,
  libpython3-all-dev <!nopython>,
- pkgconf,
+ pkg-config,
  python3-all-dev:any (>= 3.5) <!nopython>,
- python3-setuptools,
+ python3-setuptools <!nopython>,
  rename,
  zlib1g-dev | libz-dev,
-Standards-Version: 4.6.2
+Standards-Version: 4.6.0
 Rules-Requires-Root: no
 Homepage: http://xmlsoft.org
 Vcs-Git: https://salsa.debian.org/xml-sgml-team/libxml2.git
@@ -41,8 +40,6 @@
  ${shlibs:Depends},
 Conflicts:
  w3c-dtd-xhtml,
-Breaks:
- libxml-libxml-perl (<< 2.0207+dfsg+really+2.0134-3~),
 Multi-Arch: same
 Description: ${source:Synopsis}
  ${source:Extended-Description}
@@ -68,13 +65,10 @@
 Architecture: any
 Section: libdevel
 Depends:
- libicu-dev,
- liblzma-dev,
  libxml2 (= ${binary:Version}),
- zlib1g-dev,
  ${misc:Depends},
 Suggests:
- pkgconf,
+ pkg-config,
 Multi-Arch: same
 Description: ${source:Synopsis} - development files
  ${source:Extended-Description}
@@ -100,6 +94,7 @@
 Architecture: any
 Build-Profiles: <!nopython>
 Section: python
+Multi-Arch: same
 Depends:
  ${misc:Depends},
  ${python3:Depends},
